#include "SimCore/Identifier.hpp"
#include "SimCore/Position.hpp"
#include "SimCore/SimCore.hpp"
#include "WHISPER/Messages/Message.hpp"
#include "google/protobuf/message.h"
#include "google/protobuf/timestamp.pb.h"
#include <SimCore/Messages/Protos/Track.pb.h>
#include <SimCore/Messages/Track.hpp>
#include <memory>
#include <sys/time.h>
#include <utility>




namespace SimCore {

        
        
        Track::Track( WHISPER::SourceType src,SimCore::Identifier id, SimCore::TrackKind trackkind):ID_(id),TrackKind_(trackkind),SourceType_(src)
        {   
        }

        const SimCore::Identifier Track::getIdentifier ()
        {
            return ID_;
        }

        const SimCore::TrackKind Track::getTrackkind()
        {
            return TrackKind_;
        }

        const WHISPER::SourceType Track::getSourceType()
        {
            return SourceType_;
        }

        

}